{
    "root": "/home/step/certs/root_ca.crt",
    "federatedRoots": null,
    "crt": "/home/step/certs/intermediate_ca.crt",
    "key": "/home/step/secrets/intermediate_ca_key",
    "address": ":9040",
    "insecureAddress": "",
    "dnsNames": [
        "stepca.alexlebens.net"
    ],
    "ssh": {
        "hostKey": "/home/step/secrets/ssh_host_ca_key",
        "userKey": "/home/step/secrets/ssh_user_ca_key"
    },
    "logger": {
        "format": "text"
    },
    "db": {
        "type": "badgerv2",
        "dataSource": "/home/step/db",
        "badgerFileLoadingMode": ""
    },
    "authority": {
        "enableAdmin": true
    },
    "tls": {
        "cipherSuites": [
            "TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305_SHA256",
            "TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256"
        ],
        "minVersion": 1.2,
        "maxVersion": 1.3,
        "renegotiation": false
    },
    "templates": {
        "ssh": {
            "user": [
                {
                    "name": "config.tpl",
                    "type": "snippet",
                    "template": "templates/ssh/config.tpl",
                    "path": "~/.ssh/config",
                    "comment": "#"
                },
                {
                    "name": "step_includes.tpl",
                    "type": "prepend-line",
                    "template": "templates/ssh/step_includes.tpl",
                    "path": "${STEPPATH}/ssh/includes",
                    "comment": "#"
                },
                {
                    "name": "step_config.tpl",
                    "type": "file",
                    "template": "templates/ssh/step_config.tpl",
                    "path": "ssh/config",
                    "comment": "#"
                },
                {
                    "name": "known_hosts.tpl",
                    "type": "file",
                    "template": "templates/ssh/known_hosts.tpl",
                    "path": "ssh/known_hosts",
                    "comment": "#"
                }
            ],
            "host": [
                {
                    "name": "sshd_config.tpl",
                    "type": "snippet",
                    "template": "templates/ssh/sshd_config.tpl",
                    "path": "/etc/ssh/sshd_config",
                    "comment": "#",
                    "requires": [
                        "Certificate",
                        "Key"
                    ]
                },
                {
                    "name": "ca.tpl",
                    "type": "snippet",
                    "template": "templates/ssh/ca.tpl",
                    "path": "/etc/ssh/ca.pub",
                    "comment": "#"
                }
            ]
        }
    }
}